Subject: bug#407: eudev Bug reorg

From: Arne Wichmann <[email-masked]>
Date: Mon, 26 Apr 2021 18:28:22 +0200

reopen 383
forcemerge 407 383
tags 407 + patch
thanks

After looking a bit more deeply into this I find that it is still open.

It only bites if you are running a too new kernel while upgrading from
someting below 3.2.7-1 to 3.2.7-1 or greater. And while not being chrooted.

I propose the patch of András:

--- ./eudev.preinst     2020-11-07 21:09:24.000000000 +0100
+++ /tmp/eudev.preinst  2021-04-26 18:25:02.970434903 +0200
@@ -18,7 +18,7 @@

       local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
       for symbol in $needed_symbols; do
-      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
+      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then
          cat <<END
 Since release 198, udev requires support for the following features in
 the running kernel:

----
It leaves open corner cases but less than the version before.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann ([email-masked])